import React from 'react';
import Slider from '../../../slider';
import createField from '../../create-field';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * 文本选择组件
 *
 * @param
 */
const ProFormSlider = ({
  fieldProps,
  min,
  max,
  step,
  marks,
  vertical,
  range
}, ref) => {
  return /*#__PURE__*/_jsx(Slider, {
    min: min,
    max: max,
    step: step,
    marks: marks,
    vertical: vertical,
    range: range,
    ...fieldProps,
    ref: ref
  });
};
export default createField( /*#__PURE__*/React.forwardRef(ProFormSlider), {
  lightFilterLabelFormatter: value => {
    if (Array.isArray(value)) {
      return value.join('~');
    }
    return value;
  }
});